Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class TrackData1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.TrackData1

public class TrackData1 extends Object

Java class for TrackData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TrackData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TrckNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Exact1NumericText" minOccurs="0"/>
             <element name="TrckVal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max140Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`trckNb`
`protected String`
`trckVal`

## Constructor Summary

Constructors
Constructor
Description
`TrackData1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTrckNb()`
Gets the value of the trckNb property.
`String`
`getTrckVal()`
Gets the value of the trckVal property.
`void`
`setTrckNb(String value)`
Sets the value of the trckNb property.
`void`
`setTrckVal(String value)`
Sets the value of the trckVal property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trckNb

protected String trckNb

### trckVal

protected String trckVal

## Constructor Details

### TrackData1

public TrackData1()

## Method Details

### getTrckNb

public String getTrckNb()
Gets the value of the trckNb property.

Returns:
  possible object is `String`

### setTrckNb

public void setTrckNb(String value)
Sets the value of the trckNb property.

Parameters:
  `value` - allowed object is `String`

### getTrckVal

public String getTrckVal()
Gets the value of the trckVal property.

Returns:
  possible object is `String`

### setTrckVal

public void setTrckVal(String value)
Sets the value of the trckVal property.

Parameters:
  `value` - allowed object is `String`